// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply plugin: 'com.huawei.ohos.app'

//For instructions on signature configuration, see https://developer.harmonyos.com/cn/docs/documentation/doc-guides-V3/ide_debug_device-0000001053822404-V3#section1112183053510
ohos {
    signingConfigs {
        debug {
            storeFile file('C:\\Project\\fshwcar\\cert\\fsmobile.p12')
            storePassword '0000001CEB4F303C1F917FACE40E54DD903DAA244F6A85060C3FBAEC885209376287140446F77782D72C24F0'
            keyAlias = 'fsmobile'
            keyPassword '0000001CBE3220C5D71E86C99668352AB197DCF86E6D275EA7BD5BD0F70F16E7EFA6946C2EFED89A953A5CA7'
            signAlg = 'SHA256withECDSA'
            profile file('C:\\Project\\fshwcar\\cert\\fsmobileDebug.p7b')
            certpath file('C:\\Project\\fshwcar\\cert\\fsmobile.cer')
        }
        release {
            storeFile file('C:\\Project\\fshwcar\\cert\\fsmobile.p12')
            storePassword '0000001CDEEA99995A093DEA9454BB200B4DD2F0FFB42D52D31AC3A74E107843E37DE0BBE78BE6C3B1FFCF40'
            keyAlias = 'fsmobile'
            keyPassword '0000001C7B5E761A4B6B36B1E677BC59C92B651CE8E82EBDB4ACE8CC966905A80BA9E616D5B32F160163903E'
            signAlg = 'SHA256withECDSA'
            profile file('C:\\Project\\fshwcar\\cert\\fsmobile_releaseRelease.p7b')
            certpath file('C:\\Project\\fshwcar\\cert\\fsmobile_release.cer')
        }
    }
    compileSdkVersion 7
}

buildscript {
    repositories {
        maven {
            url 'https://repo.huaweicloud.com/repository/maven/'
        }
        maven {
            url 'https://developer.huawei.com/repo/'
        }
    }
    dependencies {
        classpath 'com.huawei.ohos:hap:3.1.5.0'
        classpath 'com.huawei.ohos:decctest:1.2.7.20'
        classpath 'com.huawei.agconnect:agcp-harmony:1.3.0.300'
    }
}

allprojects {
    repositories {
        maven {
            url 'https://repo.huaweicloud.com/repository/maven/'
        }
        maven {
            url 'https://developer.huawei.com/repo/'
        }

        repositories {
            flatDir {
                dir './entry/libs'
            }
        }
    }
}
